list personas
curl --request GET \
--url https://api.anam.ai/v1/personas \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.anam.ai/v1/personas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.anam.ai/v1/personas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "Cara",
"description": "A helpful assistant",
"personaPreset": "",
"avatar": {
"id": "071b0286-4cce-4808-bee2-e642f1062de3",
"displayName": "Liv",
"variantName": "home",
"imageUrl": "https://lab.anam.ai/persona_thumbnails/liv_home.png",
"videoUrl": "https://example.com/avatar-preview.mp4?X-Amz-Signature=...",
"createdAt": "2026-04-20T10:00:00.000Z",
"updatedAt": "2026-04-20T10:00:00.000Z",
"createdByOrganizationId": null,
"availableVersions": [
"cara-3"
],
"activeVersion": "cara-3",
"description": "A friendly professional in a modern office setting, warm expression, business casual attire.",
"displayTags": [
"professional",
"friendly",
"office"
],
"renderStyle": "realistic"
},
"voice": {
"id": "de23e340-1416-4dd8-977d-065a7ca11697",
"displayName": "Lucy - Fresh & Casual",
"provider": "ELEVENLABS",
"providerVoiceId": "lcMyyd2HUfFzxdCaC4Ta",
"providerModelId": "eleven_flash_v2_5",
"sampleUrl": "https://newgxnc1uqs0jnqm.public.blob.vercel-storage.com/voice-samples/de23e340-1416-4dd8-977d-065a7ca11697/1760617899390.mp3",
"previewSampleUrl": "https://newgxnc1uqs0jnqm.public.blob.vercel-storage.com/voice-samples/de23e340-1416-4dd8-977d-065a7ca11697/1760617899390.mp3",
"gender": "FEMALE",
"country": "GB",
"description": "Energetic and youthful British voice, perfect for narrations and conversational agents.",
"displayTags": [
"fast"
],
"isZdr": true,
"createdByOrganizationId": null,
"createdAt": "2026-04-20T10:00:00.000Z",
"updatedAt": "2026-04-20T10:00:00.000Z"
},
"voiceSpeed": 1,
"isDefaultPersona": false,
"languageCode": "inherit",
"createdAt": "2026-04-20T10:00:00.000Z",
"updatedAt": "2026-04-20T10:00:00.000Z"
}
],
"meta": {
"total": 1,
"lastPage": 1,
"currentPage": 1,
"perPage": 10,
"prev": null,
"next": null
}
}list personas
Returns a list of all personas
GET
/
v1
/
personas
list personas
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number for pagination
Required range:
x >= 1Number of items per page
Required range:
1 <= x <= 100filter personas by name
Last modified on July 10, 2026
Was this page helpful?
⌘I

